Bug 104706 - improve the boot speed of a Redhat System.
improve the boot speed of a Redhat System.
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
: 105398 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-09-19 10:15 EDT by Bill Brown
Modified: 2014-03-16 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-19 11:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Brown 2003-09-19 10:15:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030827

Description of problem:
Here is a link to an article that describes how to increase the boot speed of a
redhat system by loading services in parallel. 


My request is that Redhat implement this in all of their standard releases. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Bill Nottingham 2003-09-19 11:01:46 EDT
This was tried in a previous beta release. It did not appreciably help.
Comment 2 Bill Nottingham 2003-09-25 14:53:18 EDT
*** Bug 105398 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Frayne 2003-09-25 15:43:37 EDT
Please reopen this RFE with the additional information in 105398, and consider
testing it with a configuration that installs and starts many services.  On my
desktop 620 MHz machine with RH9, Win4Lin, DSL, SCSI, USB, Scanner, printer,
cdrw, it takes 21 seconds from syslogd startup to rhnsd startup succeeded.

The test I would use would be the time from the enter key at Grub to the log on
prompt plus the time from the enter key at password prompt to display of the
main menu plus the time from clicking the Freecell game icon to display of the
Freecell splash screen.
Comment 4 Bill Nottingham 2003-09-25 15:57:48 EDT
There are already other bugs covering this in more detail, 99540 is one example.

Note You need to log in before you can comment on or make changes to this bug.